Bug 1129754 - docker import from stdin using repo:tag fails
Summary: docker import from stdin using repo:tag fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: smahajan@redhat.com
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1133060
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:15 UTC by Chris Evich
Modified: 2019-03-06 00:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 01:18:38 UTC


Attachments (Terms of Use)

Description Chris Evich 2014-08-13 15:15:17 UTC
Description of problem:
docker help import shows Usage: docker import URL|- [REPOSITORY[:TAG]]

Version-Release number of selected component (if applicable):
# docker version
Client version: 1.1.2
Client API version: 1.14
Go version (client): go1.2.2
Git commit (client): 8aa40e8/1.1.2
OS/Arch (client): linux/amd64
Server version: 1.1.2
Server API version: 1.14
Go version (server): go1.2.2
Git commit (server): 8aa40e8/1.1.2
# rpm -q docker
docker-1.1.2-9.el7.x86_64

How reproducible:
Trivial

Steps to Reproduce:
1. # mkdir empty
2. # cd empty
3. # tar c . | docker import - empty_base_image:test

Actual results:
Invalid repository name (empty_base_image:test), only [a-z0-9-_.] are allowed

Expected results:
Image ID returned on stdout

Additional info:
Not specifing any tag works fine-
# tar c . | docker import - empty_base_image

Comment 2 Daniel Walsh 2014-09-12 18:51:31 UTC
Can you test against docker-1.2

Comment 3 Chris Evich 2014-09-12 18:59:56 UTC
[root@rhel7dockertest1 test]# docker images
REPOSITORY                         TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
rhel                               latest              e1f5733f050b        3 months ago        140.2 MB
registry.access.redhat.com/rhel7   0-21                e1f5733f050b        3 months ago        140.2 MB
[root@rhel7dockertest1 test]# docker version
Client version: 1.2.0
Client API version: 1.15
Go version (client): go1.3.1
Git commit (client): d4fb8f8/1.2.0
OS/Arch (client): linux/amd64
Server version: 1.2.0
Server API version: 1.15
Go version (server): go1.3.1
Git commit (server): d4fb8f8/1.2.0
[root@rhel7dockertest1 test]# mkdir test && cd test && tar c . | docker import - empty_base_image:test
e5c7032a1312e25c80a832d57cee1cd0106b8acf379686528f0979e2a0a73ee4
[root@rhel7dockertest1 test]# docker images
REPOSITORY                         TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
empty_base_image                   test                e5c7032a1312        3 seconds ago       0 B
rhel                               latest              e1f5733f050b        3 months ago        140.2 MB
registry.access.redhat.com/rhel7   0-21                e1f5733f050b        3 months ago        140.2 MB

Comment 4 Daniel Walsh 2014-09-12 19:13:58 UTC
Fixed in docker-1.2


Note You need to log in before you can comment on or make changes to this bug.